Delete documents
curl --request DELETE \
--url https://api.example.com/api/projects/{projectId}/documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.example.com/api/projects/{projectId}/documents"
payload = { "ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://api.example.com/api/projects/{projectId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]Document
Delete documents
Soft delete one or more documents by moving them to trash.
DELETE
/
api
/
projects
/
{projectId}
/
documents
Delete documents
Authorizations
personalAccessTokeninternalAuth
Personal access token is obtained through your profile
Path Parameters
Project unique identifier
Body
application/json
List of document IDs to delete
Response
200 - application/json
List of deleted document IDs
Was this page helpful?
⌘I